image: node:20.6.1

stages:
  - build
  - deploy

cache:
  paths:
    - node_modules/

before_script:
  - npm install

pages:
  stage: build
  script:
    - CI=false npm run build
    - rm -rf public
    - mv dist public
  artifacts:
    paths:
      - public
  only:
    - master

deploy_app:
  stage: deploy
  script:
    - echo "Deploying to production server"
  artifacts:
    paths:
      - public
